# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDockSplitter Class Reference

Like QSplitter but specially designed for dockwidgets stuff. More...

`#include <kdockwidget_private.h>`

Inheritance diagram for KDockSplitter:

[legend]
Collaboration diagram for KDockSplitter:

[legend]
List of all members.

## Public Member Functions

| KDockSplitter (QWidget *parent=0, const char *name=0, Orientation orient=Vertical, int pos=50, bool highResolution=false)
void | activate (QWidget *c0, QWidget *c1=0L)
void | deactivate ()
int | separatorPos () const
void | setSeparatorPos (int pos, bool do_resize=true)
void | setSeparatorPosX (int pos, bool do_resize=false)
virtual bool | eventFilter (QObject *, QEvent *)
virtual bool | event (QEvent *)
QWidget * | getFirst () const
QWidget * | getLast () const
QWidget * | getAnother (QWidget *) const
void | updateName ()
void | setOpaqueResize (bool b=true)
bool | opaqueResize () const
void | setKeepSize (bool b=true)
bool | keepSize () const
void | setHighResolution (bool b=true)
bool | highResolution () const
void | setForcedFixedWidth (KDockWidget *dw, int w)
void | setForcedFixedHeight (KDockWidget *dw, int h)
void | restoreFromForcedFixedSize (KDockWidget *dw)
Orientation | orientation ()

## Protected Member Functions

int | checkValue (int) const
int | checkValueOverlapped (int, QWidget *) const
virtual void | resizeEvent (QResizeEvent *)

## Friends

class | KDockContainer

## Detailed Description

Like QSplitter but specially designed for dockwidgets stuff.

Definition at line 43 of file kdockwidget_private.h.

## Member Function Documentation

void KDockSplitter::setSeparatorPosX | ( | int | pos,
|  | bool | do_resize = `false`
| ) |

| For usage from outside. If the splitter is in fixed position when called, the value of `pos` will be saved and used when the splitter is restored. If `do_resize` is true, the size will be changed unless the splitter is in fixed mode. Definition at line 222 of file kdockwidget_private.cpp.

The documentation for this class was generated from the following files:

- kdockwidget_private.h
- kdockwidget_private.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003